Subject: bug#32460: 27.0.50; diff-mode sometimes doesn't refine hunks

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Mar 2019 22:07:30 -0500

> As Juri suggested, the fix for Bug#32991 probably fixed this bug.

As part of the fix for Bug#32991, I rewrote the code that visits "all"
hunks in a region, because that code had a bug which basically made it
skip every other hunk: in practice with jit-lock (where the granularity
is small enough that the region considered rarely contains more than one
hunk), it tended to "arbitrarily" miss some hunks every once in a while
(regardless of diff-hunk-next).

Not sure if this error was the cause of bug#32460 since you mention
interaction with diff-hunk-next, but I think it's indeed better to close
the bug for now and reopen it (or a new one) if it re-appears.

        Stefan